uniform float visibility;

varying vec3 MCposition;

// lighting per vertex - ambient and diffuse only

void main()
{
  vec3 lightDir, normal;
  vec4 ambient, globalAmbient;

  normal = normalize(gl_NormalMatrix * gl_Normal);
  lightDir = normalize(vec3(gl_LightSource[0].position - gl_ModelViewMatrix*gl_Vertex));


	ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
	globalAmbient = gl_LightModel.ambient * gl_FrontMaterial.ambient;

  // Diffuse is dot product of light vector and normal
  float diffuse = max(dot(lightDir, normal), 0.0);

  gl_FrontColor = globalAmbient + ambient + gl_FrontLightProduct[0].diffuse * diffuse;
  // don't worry about specular
  
  MCposition = vec3(gl_Vertex);

  gl_Position = ftransform();
}
